<?PHP
/**
 * This file collects global constants to the code of the frontend.
 *
 * @file
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

const CACHE_DIR_PERMS = 0775;

const TL_FILE_DIRS = [
    __DIR__ . "/../l10n/musdb/",
    __DIR__ . "/../l10n/importer/",
    __DIR__ . "/../classes/MDAllowedValueSets/l18n/",
];

const AUTOLOAD_DIRS = [
    __DIR__ . "/../classes",
    __DIR__ . "/../classes/MDTlLoader/src",
    __DIR__ . "/../classes/MD_STD",
    __DIR__ . "/../classes/MDAllowedValueSets/src",
    __DIR__ . "/../classes/MDExportFormats/src",
    __DIR__ . "/../classes/MDErrorReporter",
    __DIR__ . "/../classes/MDMailer/src",
    __DIR__ . "/../conf",
    __DIR__ . "/../classes/MDErrorReporter/exceptions/generic",
    __DIR__ . "/../classes/MDErrorReporter/exceptions/page",
    __DIR__ . "/../classes/MDErrorReporter/exceptions/updates",
    __DIR__ . "/../classes/MDTlLoader/exceptions",
];
